﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Reflection;
using System.Text;
using System.Windows.Forms;
using System.IO;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;

namespace WinGridTabNavOnLastEditableCell
{
    public partial class SimpleTest : Form
    {
        public SimpleTest()
        {
            InitializeComponent();
        }

        protected override void OnLoad(EventArgs e)
        {
            base.OnLoad(e);

            if (!this.DesignMode)
            {
                LoadData();

                foreach (UltraGridRow row in uxVariablesUltraGrid.Rows)
                {
                    InitializeVariablesRow(row);
                }
            }
        }

        protected override void OnShown(EventArgs e)
        {
            base.OnShown(e);
            pAY_FREQUENCYTextBox.Focus();
        }

        private void LoadData()
        {
            string dir = Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location);
            string file = Path.Combine(dir, "TestData.xml");
            dataSet.ReadXml(file);            
        }

        private void InitializeVariablesRow(UltraGridRow row)
        {
            if (null == row) return;

            UltraGridCell ugcVarType = row.Cells["VARIABLE_TYPE"];
            UltraGridCell ugcVal = row.Cells["VALUE"];
            UltraGridCell ugcDefVal = row.Cells["DEFAULT_VALUE"];

            if (ugcVarType.Value.ToString().ToUpper() == "U")
            {
                ugcDefVal.Activation = Activation.AllowEdit;
                ugcDefVal.Appearance.BackColor = SystemColors.Window;
                ugcDefVal.TabStop = DefaultableBoolean.True;
                ugcVal.Activation = Activation.AllowEdit;
                ugcVal.Appearance.BackColor = SystemColors.Window;
                ugcVal.TabStop = DefaultableBoolean.False;
            }
            else if (ugcVarType.Value.ToString().ToUpper() == "F")
            {
                ugcDefVal.Activation = Activation.NoEdit;
                ugcDefVal.Appearance.BackColor = SystemColors.Control;
                ugcDefVal.TabStop = DefaultableBoolean.False;
                ugcVal.Activation = Activation.AllowEdit;
                ugcVal.Appearance.BackColor = SystemColors.Window;
                ugcVal.TabStop = DefaultableBoolean.True;
            }
            else
            {
                ugcVal.Activation = Activation.NoEdit;
                ugcVal.Appearance.BackColor = SystemColors.Control;
                ugcVal.TabStop = DefaultableBoolean.False;
                ugcDefVal.Activation = Activation.NoEdit;
                ugcDefVal.Appearance.BackColor = SystemColors.Control;
                ugcDefVal.TabStop = DefaultableBoolean.False;
            }            
        }

        
    }
}
